Package Details: airwave-git r155.8cd3507-2

Git Clone URL: https://aur.archlinux.org/airwave-git.git (read-only)
Package Base: airwave-git
Description: Airwave is a WINE-based VST bridge, that allows for the use of Windows 32- and 64-bit VST 2.4 audio plugins with Linux VST hosts
Upstream URL: https://github.com/phantom-code/airwave
Licenses: MIT
Conflicts: airwave
Provides: airwave
Submitter: phant0m
Maintainer: jonathon
Last Packager: jonathon
Votes: 11
Popularity: 1.479163
First Submitted: 2014-07-14 08:53
Last Updated: 2017-02-24 12:17

Latest Comments

jhernberg commented on 2017-02-24 13:32

Yes, builds for me too. Many thanks!

jonathon commented on 2017-02-24 12:20

PKGBUILD updated with upstream's patch; package is building again for me.

jonathon commented on 2017-02-23 11:45

That appears to be an issue with WINE, not airwave. I've submitted a bug report upstream: https://bugs.winehq.org/show_bug.cgi?id=42511

edit:
Very quickly fixed upstream [1], I'll look at whether this can be applied during compilation of airwave until the fix gets released.

[1] http://source.winehq.org/git/wine.git/commit/70d8503d5ec602be0dd9f5e390f703402bdd5edc

jhernberg commented on 2017-02-23 11:16

This fails to build for me with msgs similar to this:
Generating moc source airwave-manager_automoc.dir/moc_mainform_6XEYLM5TMQSFUP.cpp
In file included from /usr/include/wine/windows/windef.h:266:0,
from /usr/include/wine/windows/windows.h:37,
from /home/jack/archaudio/airwave-git/src/airwave/src/host/host.h:7,
from /home/jack/archaudio/airwave-git/src/airwave/src/host/host.cpp:1:
/usr/include/wine/windows/winnt.h: In function ‘void* RtlSecureZeroMemory(void*, SIZE_T)’:
/usr/include/wine/windows/winnt.h:5441:26: error: invalid conversion from ‘void*’ to ‘volatile char*’ [-fpermissive]
volatile char *ptr = buffer;

jonathon commented on 2017-02-03 17:52

Adopting.

blackhole commented on 2017-01-25 22:17

The PKGBUILD is working.
Do you adopt?

jonathon commented on 2016-12-20 18:52

Here's a tweaked PKGBUILD to use the `steinberg-vst36` package: https://bpaste.net/show/b6290c4a089c

CrocoDuck commented on 2016-06-30 08:20

Hi there! Thanks for you package. I was wondering why the Steinberg SDK is provided through sources and not by using this dependency: https://aur.archlinux.org/packages/steinberg-vst36/ . Perhaps because a specific version is needed?

phant0m commented on 2016-02-23 11:37

PKGBUILD updated, thanks for the notification.

rcrath commented on 2016-02-23 10:49

pkgbuild fails. editing it and removing parentheses from the url and description fields allows it to install.

All comments